function [col]=collinear(X1,X2,Tol)

%% This routine verifies if the elements of the vectors X1 and X2 are collinear

X=[X1 X2];
slop_X=[];
col=1;
if size(X1,2)==1 && size(X2,2)==1 
    col=1;
else    
    for r=1:size(X,2)-1
        for s=r+1:size(X,2)
            if abs(real(X(r))-real(X(s)))<Tol
                slop_X=[slop_X pi/2];
            else
                slop_X=[slop_X (imag(X(r))-imag(X(s)))/(real(X(r))-real(X(s)))];
            end
            for t=1:size(slop_X,2)
                for k=t+1:size(slop_X,2)
                    if abs(slop_X(t)-slop_X(k))<Tol
                        col=1;
                    else
                        col=0;
                        return;
                    end     
                end
            end
        end   
    end  
end

      

               