function [degenerate1,direc,eig_real]=directions(A,J,m,Tol)
global definite

%%
direc=[];degenerate1=0;eig_real=[];
   row1=1;
    for r=1:(2*m)
        T=(exp(pi*i*(r-1)/(2*m))*A+exp(-pi*i*(r-1)/(2*m))*J*A'*J')/2;
        lambda=eig(T);
            for s=1:size(lambda,1)
                if abs(imag(lambda(s,1)))<=Tol 
                    direc(row1)=r;          
                    [mult]=multiplicity(T,Tol);
                    %If there exists some direction for which the eigenvalues
                    %have multiplicity greater than 1, in the figure it will
                    %appear collinear points, so it is necessary to perturb
                    %that direction
                        if mult==1
                            direc(row1)=r+10^(-10); %perturbing the direction
                        end    
                    row1=row1+1;
                    break;
                end
            end
                        
            
            
            
            
    end
 
    
    
 if definite==0
    if isempty(direc)==1
        text(0.25,0.55,'W_J(A) is a line or the whole complex plane','Color','red');
        degenerate1=1;
        return;
    else
        [aux,eig_real]=degenerate(A,J,m,Tol,direc);
            if aux==0 %There not exists at least one direction for which the eigenvalues are all real and anisotropic eigenvectors
                [degenerate1]=step_5(A,J,Tol);
                return
            end
    end
end

        
        