function [mult]=multiplicity(A,Tol)

% Checking if the matriz A have some eigenvalue with multiplicity greater 
% than 1. In this case, mult=1; otherwise, mult=0
%%
mult=0;
lambda=eig(A);
    for s=1:size(lambda,1)
        for r=s+1:size(lambda,1)
            if abs(real(lambda(r,1)-lambda(s,1)))+abs(imag(lambda(r,1)-lambda(s,1)))<Tol
                mult=1;
                return;
            else
                break;
            end
        end
    end
    
    