function pseudo_convexhull(X1_round,X2_round,Tol)

%This routine construct the pseudoconvex hull of the elements of the line
%vectors X1_round and X2_round

[X1_dif_round]=diferent_elements(X1_round,Tol); %Remove the repeated elements of X1_round
[X2_dif_round]=diferent_elements(X2_round,Tol); %Remove the repeated elements of X2_round

[q1,q2]=pseudo_lines(X1_dif_round,X2_dif_round,-2:0,1:3);



[col]=collinear(X1_dif_round,X2_dif_round,Tol);    
    if col==1  %if the elements of X1_round and X2_round are collinear
        plot(real(q1),imag(q1),real(q2),imag(q2),'color','black','linewidth',1.25)
        title('J-Numerical Range');
        xlabel('Real Axis');
        ylabel('Imaginary Axis');
        hold on             
    else
        hull(q1,X1_dif_round,X2_dif_round,Tol)
        hull(q2,X1_dif_round,X2_dif_round,Tol)
    end  









